Qt 5.6 | Qt Quick | C++ Classes | QSGTextureProvider

Qt 5.6.3 Reference Documentation

# QSGTextureProvider Class

The QSGTextureProvider class encapsulates texture based entities in QML. More...

Header: | #include <QSGTextureProvider>
qmake: | QT += quick

- List of all members, including inherited members

## Public Functions

virtual QSGTexture * | texture() const = 0

## Signals

void | textureChanged()

## Detailed Description

The QSGTextureProvider class encapsulates texture based entities in QML.

The QSGTextureProvider lives primarily in the scene graph rendering thread.

See also Scene Graph - Two Texture Providers.

## Member Function Documentation

### `[pure virtual]` QSGTexture *QSGTextureProvider::texture() const

Returns a pointer to the texture object.

### `[signal]` void QSGTextureProvider::textureChanged()

This signal is emitted when the texture changes.